package org.jboss.security.plugins;

import java.io.Serializable;
import java.security.Principal;
import java.util.HashSet;
import java.util.Set;
import javax.security.auth.Subject;
import org.jboss.security.NobodyPrincipal;
import org.jboss.security.RealmMapping;
import org.jboss.security.SubjectSecurityManager;

public class NoAccessSecurityManager implements SubjectSecurityManager, RealmMapping, Serializable {

   static final long serialVersionUID = -5922913661708382384L;
   private String securityDomain;


   public NoAccessSecurityManager(String securityDomain) {
      this.securityDomain = securityDomain;
   }

   public String getSecurityDomain() {
      return this.securityDomain;
   }

   public Subject getActiveSubject() {
      return null;
   }

   public boolean isValid(Principal principal, Object credential) {
      return false;
   }

   public boolean isValid(Principal principal, Object credential, Subject activeSubject) {
      return false;
   }

   public Principal getPrincipal(Principal principal) {
      return principal;
   }

   public boolean doesUserHaveRole(Principal principal, Set roleNames) {
      boolean hasRole = false;
      return hasRole;
   }

   public Set getUserRoles(Principal principal) {
      HashSet roles = new HashSet();
      roles.add(NobodyPrincipal.NOBODY_PRINCIPAL);
      return roles;
   }

   private boolean authenticate(Principal principal, Object credential) {
      boolean authenticated = false;
      return authenticated;
   }
}
